Skip to content

Get Creator Performance for Campaign Product

GET
/affiliate_partner/202508/campaigns/{campaign_id}/products/{product_id}/performance

Returns a paginated list of creators associated with a product in an affiliate partner campaign, together with available collaboration and performance details such as commission, free-sample status, follower count, and video and live broadcast counts.

campaign_id
required
string
product_id
required
string
page_size
integer format: int64
>= 1 <= 50

The number of results to be returned per page. Valid range: 1-50.

page_token
string

An opaque token used to retrieve the next page of a paginated result set. Retrieve this value from the result of the next_page_token from a previous response. It is not needed for the first page.

category_asset_cipher
required
string

The partner identifier used in API requests. Retrieve this value by using the Get Authorized Category Assets API.

Success

Media typeapplication/json
object
code

Status code; 0 means success.

integer format: int64
message

Success or failure message.

string
request_id

Request log ID.

string
data
object
total_creator_count

The total number of creators associated with the specified product in the campaign across all pages.

integer format: int64
promotion_creators

A list of objects representing information about the Affiliate Creator associated with the product promotion.

Array<object>
object
paid_amount

An object representing the total amount paid for this product.

object
currency

The currency code for the amount field.

string
amount

The total amount paid for this product.

string
room_count

The number of live broadcast rooms associated with this promotion.

integer format: int64
video_count

The total number of videos associated with this promotion published by creators.

integer format: int64
free_sample_status

Status of the Creator’s sample application.

  • NOT_REQUESTED
  • PENDING
  • AWAITING_SHIPMENT
  • AWAITING_COLLECTION
  • SHIPPED
  • CONTENT_PENDING
  • REJECT_CANCELLED
  • OVERDUE_CANCELLED
  • UNFULFIL_CANCELLED
  • DEL_PLAN_CANCELLED
  • SELLER_NOT_SHIP_CANCELLED
  • WITHDRAW_CANCELLED
  • UNFULFILLABLE_CANCELLED
  • OPERATOR_MANUAL_CANCELLED
  • OPERATOR_MANUAL_FAILED
  • OPERATOR_MANUAL_COMPLETED
  • COMPLETED
string
commission

The commission rate in hundredths of a percent (0.01%). For example, a value of 1000 is 10.00%.

string
effective_end_time

The effective end time for the collaboration in Unix epoch time format.

string
effective_start_time

The effective start time for the collaboration in Unix epoch time format.

string
creator

An object representing information about the creator associated with the promotion.

object
nick_name

The TikTok nickname of the creator.

string
avatar_url

A URL for the creator’s avatar image in the TikTok CDN.

string
follower_num

The total count of TikTok followers for the creator.

integer format: int64
user_name

The TikTok username of the creator.

string
creator_open_id
string
affiliate_product_id

The affiliate product identifier.

string
next_page_token

Opaque token for retrieving the next page. When this value is non-empty, pass it as the page_token query parameter in the next request and reuse the same campaign_id, product_id, and page_size. An empty token means there are no more results.

string
Example
{
"code": 0,
"data": {
"total_creator_count": 1,
"promotion_creators": [
{
"paid_amount": {
"currency": "USD",
"amount": "3.00"
},
"room_count": 1,
"video_count": 1,
"free_sample_status": "AWAITING_COLLECTION",
"commission": "100",
"effective_end_time": "1731020040687",
"effective_start_time": "1731019880391",
"creator": {
"nick_name": "Test_Creator_E",
"avatar_url": "https://p19-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/c614d3b6ba4d93b31fbda5add0802dd7~c5_1080x1080.webp?lk3s=a5d48078&nonce=6796&refresh_token=634d776ec39c2291053675f60c576515&x-expires=1736478000&x-signature=0G6NmM8H8nDRYYVN7e8QazDMRb0%3D&shp=a5d48078&shcp=9f007bb8",
"follower_num": 19,
"user_name": "us_lxq6213",
"creator_open_id": "uACafQAAAABmUU2qon4R0vUYvUVS3QC6CICP2m5A2-wd77j8R9G0yg"
},
"affiliate_product_id": "123456789"
}
],
"next_page_token": "cGFnZV9udW1iZXI9Mg=="
},
"message": "Success",
"request_id": "202203070749000101890810281E8C70B7"
}